MyGUI: MyGUI::PointerManager Class Reference

MyGUI 3.2.2

Public Member Functions | Data Fields
MyGUI::PointerManager Class Reference

`#include <MyGUI_PointerManager.h>`

Inheritance diagram for MyGUI::PointerManager:
[legend]

## Public Member Functions
| PointerManager ()
void | initialise ()
void | shutdown ()
void | setVisible (bool _visible)
bool | isVisible () const
void | setPointer (const std::string &_name)
void | resetToDefaultPointer ()
const std::string & | getDefaultPointer () const
void | setDefaultPointer (const std::string &_value)
const std::string & | getLayerName () const
void | setLayerName (const std::string &_value)
IPointer * | getByName (const std::string &_name) const
Public Member Functions inherited from MyGUI::Singleton< PointerManager >
| Singleton ()
virtual | ~Singleton ()
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()
Public Member Functions inherited from MyGUI::MemberObsolete< PointerManager >
void | setDeafultPointer (const std::string &_value)
void | show ()
void | hide ()
bool | isShow ()
bool | load (const std::string &_file)
void | loadOldPointerFormat (xml::ElementPtr _node, const std::string &_file, Version _version, const std::string &_tag)

## Data Fields
delegates::CMultiDelegate1< const std::string & > | eventChangeMousePointer

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< PointerManager >
typedef Singleton< PointerManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< PointerManager >
static PointerManager & | getInstance ()
static PointerManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 20 of file MyGUI_PointerManager.h.

## Constructor & Destructor Documentation

## ◆ PointerManager()

MyGUI::PointerManager::PointerManager | ( |  | ) |

Definition at line 28 of file MyGUI_PointerManager.cpp.

## Member Function Documentation

## ◆ getByName()

IPointer * MyGUI::PointerManager::getByName | ( | const std::string & | _name | ) | const

Get pointer resource

Definition at line 244 of file MyGUI_PointerManager.cpp.

## ◆ getDefaultPointer()

const std::string & MyGUI::PointerManager::getDefaultPointer | ( |  | ) | const

Get default pointer

Definition at line 285 of file MyGUI_PointerManager.cpp.

## ◆ getLayerName()

const std::string & MyGUI::PointerManager::getLayerName | ( |  | ) | const

Get layer name where pointer rendered

Definition at line 290 of file MyGUI_PointerManager.cpp.

## ◆ initialise()

void MyGUI::PointerManager::initialise | ( |  | ) |

Definition at line 40 of file MyGUI_PointerManager.cpp.

## ◆ isVisible()

bool MyGUI::PointerManager::isVisible | ( |  | ) | const

Is mouse pointer visible

Definition at line 280 of file MyGUI_PointerManager.cpp.

## ◆ resetToDefaultPointer()

void MyGUI::PointerManager::resetToDefaultPointer | ( |  | ) |

Reset to default pointer

Definition at line 158 of file MyGUI_PointerManager.cpp.

## ◆ setDefaultPointer()

void MyGUI::PointerManager::setDefaultPointer | ( | const std::string & | _value | ) |

Set default pointer

Definition at line 221 of file MyGUI_PointerManager.cpp.

## ◆ setLayerName()

void MyGUI::PointerManager::setLayerName | ( | const std::string & | _value | ) |

Set layer where pointer rendered

Definition at line 229 of file MyGUI_PointerManager.cpp.

## ◆ setPointer()

void MyGUI::PointerManager::setPointer | ( | const std::string & | _name | ) |

Set pointer that will be shown

Parameters

  _name | of pointer

Definition at line 275 of file MyGUI_PointerManager.cpp.

## ◆ setVisible()

void MyGUI::PointerManager::setVisible | ( | bool | _visible | ) |

Show or hide mouse pointer

Definition at line 125 of file MyGUI_PointerManager.cpp.

## ◆ shutdown()

void MyGUI::PointerManager::shutdown | ( |  | ) |

Definition at line 66 of file MyGUI_PointerManager.cpp.

## Field Documentation

## ◆ eventChangeMousePointer

delegates::CMultiDelegate1<const std::string&> MyGUI::PointerManager::eventChangeMousePointer

Event : Mouse pointer has been changed.
signature : void method(const std::string& _pointerName)

Parameters

  _pointerName | Name of current mouse pointer

Definition at line 61 of file MyGUI_PointerManager.h.

The documentation for this class was generated from the following files:

- MyGUI_PointerManager.h
- MyGUI_PointerManager.cpp